[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: libgtk2.0-0 conflicts with libgdkxft0?

On Wed, 2003-06-04 at 17:08, Tom Badran wrote:
> Why is this? There _seems_ to be no file clash and libgdkxft affects gtk 1.x 
> applications.

gdkxft works by installing itself as a LD_LIBRARY_PRELOAD library. If
this is configured, all GTK+ 2 applications crash on start up.

I guess the maintainer had to make a choice between:

a) allowing gdkxft be installed all the time, and receive lots of "bug
   reports" from people who don't read the documentation
b) making gdkxft (a pretty serious hack) conflict with gtk2, so
   upsetting the people who want AA fonts in the few GTK+ 1 applications

Ross Burton                                 mail: ross@burtonini.com
                                      jabber: ross@jabber.debian.net
                                     www: http://www.burtonini.com./
 PGP Fingerprint: 1A21 F5B0 D8D0 CFE3 81D4 E25A 2D09 E447 D0B4 33DF

Reply to: